## $Id: utils.py 14344 2016-12-14 16:57:13Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Customize general helper utilities for Kofa.
"""
from copy import deepcopy
from kofacustom.nigeria.utils.utils import NigeriaKofaUtils

class CustomKofaUtils(NigeriaKofaUtils):
    """A collection of methods subject to customization.
    """

    APP_CATS_DICT = {
        'basic': 'UTME, DE, PCE',
        'no': 'No Application',
        'degree': 'Degree Programme',
        'nce': 'NCE Programme',
        'ncept': 'NCE Part-Time Programme',
        'prence': 'Pre-NCE Programme',
        }

    STUDY_MODES_DICT = {
        'ug_ft': 'Undergraduate Full Time',
        'pg_ft': 'Postgraduate Full Time',
        'pg_pt': 'Postgraduate Part Time',
        'nce_ft': 'NCE Full Time',
        'nce_pt': 'NCE Part Time',
        'nce_sw': 'NCE Sandwich',
        'prence': 'Pre-NCE',
        'no': 'no application',
        }

    PAYMENT_CATEGORIES = {
        'schoolfee': 'School Fee (total)',
        'schoolfee_1': 'School Fee (1st instalment)',
        'schoolfee_2': 'School Fee (2nd instalment)',
        'clearance': 'Acceptance Fee',
        #'bed_allocation': 'Bed Allocation Fee',
        #'hostel_maintenance': 'Hostel Maintenance Fee',
        #'transfer': 'Transfer Fee',
        #'gown': 'Gown Hire Fee',
        'application': 'Application Fee',
        #'transcript': 'Transcript Fee',
        #'late_registration': 'Late Course Registration Fee'
        }

    SELECTABLE_PAYMENT_CATEGORIES = deepcopy(PAYMENT_CATEGORIES)
